<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2010 - Digiteo - Vincent LIARD
 *
 * Copyright (C) 2012 - 2016 - Scilab Enterprises
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * This file was originally licensed under the terms of the CeCILL v2.1,
 * and continues to be available under such terms.
 * For more information, see the COPYING file which you should have received
 * along with this program.
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook"
          xmlns:scilab="http://www.scilab.org" xml:id="TMPDIR" xml:lang="en">
    <refnamediv>
        <refname>TMPDIR</refname>
        <refpurpose>temporary directory path.</refpurpose>
    </refnamediv>
    <refsection>
        <title>Description</title>
        <para>
            The <literal>TMPDIR</literal> constant holds the temporary directory
            absolute path of a Scilab process. Each Scilab process has its own
            temporary directory, created and referenced to <literal>TMPDIR</literal>
            during Scilab startup. The temporary directory is deleted when Scilab
            stops.
        </para>
        <para>The temporary directories are created as subdirectories of the
            system temporary directory and named SCI_TMP_&lt;unique&gt; where
            &lt;unique&gt; is some number generated at Scilab startup for the name to
            be unique. Under GNU/Linux, UNIX and Mac OS X, directory access rights are
            limited to the Scilab user.
        </para>
        <para>
            The <literal>TMPDIR</literal> constant cannot be altered during
            Scilab execution. However, under GNU/Linux, UNIX and Mac OS X, the system
            temporary directory (usually <literal>/tmp</literal>) can be selected by
            altering the <literal>TMPDIR</literal> system variable.
        </para>
        <note>
          <literal>TMPDIR</literal> can be used as a general temporary directory,
          without respect to any Scilab session.
        </note>
    </refsection>
    <refsection>
        <title>Examples</title>
        <programlisting role="example"><![CDATA[
ls TMPDIR
ls(TMPDIR)
cd(TMPDIR)
        ]]></programlisting>
    </refsection>
    <refsection role="see also">
        <title>See also</title>
        <simplelist type="inline">
            <member>
                <link linkend="tempname">tempname</link>
            </member>
            <member>
                <link linkend="home">home</link>
            </member>
            <member>
                <link linkend="SCIHOME">SCIHOME</link>
            </member>
            <member>
                <link linkend="SCI">SCI</link>
            </member>
        </simplelist>
    </refsection>
</refentry>
